Bug 227208 - Exception occurred
Summary: Exception occurred
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex   
(Show other bugs)
Version: 6
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-03 16:25 UTC by Ivan
Modified: 2014-01-21 22:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-06 07:55:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ivan 2007-02-03 16:25:28 UTC
Component: yumex
Version: 1.2.2
Summary: TB3fa42680 threading.py:532:join:AssertionError: cannot join current thread

Traceback (most recent call last):
  File "/usr/lib/python2.4/atexit.py", line 24, in _run_exitfuncs
    func(*targs, **kargs)
  File "/usr/lib/python2.4/threading.py", line 634, in __exitfunc
    t.join()
  File "/usr/lib/python2.4/threading.py", line 532, in join
    assert self is not currentThread(), "cannot join current thread"
AssertionError: cannot join current thread

Local variables in innermost frame:
self: <BackgroundRunner(Thread-15, started)>
timeout: None

Comment 1 Tim Lauridsen 2007-02-06 07:55:38 UTC
I aware of this bug, it happen when you are quit yumex while doing some action
in a background thread, it has been fixed in yumex 1.9.x development.

http://www.yum-extender.org/dnl/yumex/devel/ 


Note You need to log in before you can comment on or make changes to this bug.